{ --- TetBol3.inc, Anzeigen und Zeichnen des Screen, der Figueren --------- }
procedure zeichnechip(xx,yy:integer; stein:chip);
var i,j,k:integer;
begin
   with stein do for i:=0 to 3 do begin
      k:=qi[i] mod 4;
      putimage(xx+(x+xi[i])*dx,yy+(y+yi[i])*dy,ima[k].p_data^,andput);
      putimage(xx+(x+xi[i])*dx,yy+(y+yi[i])*dy,ima[qi[i]].p_data^,orput);
   end;
end;

procedure loeschechip(xx,yy:integer; stein:chip);
var i,j,k:integer;
begin
   with stein do for i:=0 to 3 do begin
      k:=qi[i] mod 4;
      putimage(xx+(x+xi[i])*dx,yy+(y+yi[i])*dy,ima[k].p_data^,andput);
      putimage(xx+(x+xi[i])*dx,yy+(y+yi[i])*dy,ima[56+k].p_data^,orput);
   end;
end;

{ --- }

procedure loescheanzeige;
var i,j,k:integer;
begin
   j:=432+2*dx; k:=64+2*dy;
   rectfill(j,k,j+pred(3*dx),k+pred(3*dy),2);
end;

procedure zeichneanzeige(stein:chip);
var i,j,k:integer;
begin
   loescheanzeige;
   j:=432+2*dx; k:=64+2*dy; zeichnechip(j,k,stein);
end;

{ --- }

procedure punktanzeige(punkte:longint);
var temp:string;
begin
   str(punkte:8,temp);
   itext1[8].itext:='Punkte: '+temp;
   itext2[8].itext:=itext1[8].itext;
   DrawIntuiText(288,460,addr(itext1[8]));
end;

{ --- }

procedure zeichnescreen;
var i,j,k:integer;
begin
rectfill(0,0,639,479,2);
{ Chipanzeige bei den Koordinaten j,k: }
j:=432; k:=80;
for i:=0 to 4 do begin
   DrawImage(j,k+dy*i,addr(ima[60]));
   DrawImage(j+6*dx,k+dy*i,addr(ima[60]));
   DrawImage(j+succ(i)*dx,k+dy*4,addr(ima[60]));
end;
RefreshGadgets(addr(igad[1]));
end;

{ --- }

procedure getlevel(var level:integer; var levelname:string);
var f    :file;
    t1,t2:string;
    i,j,k:integer;
    anz,w:word;

 procedure nullevel(var level:integer; var levelname:string);
 const k=60;
 var i,j:integer;
 begin
    for i:=1 to xmax do for j:=0 to ymax do gerade[i,j]:=0;
    for i:=0 to succ(xmax) do gerade[i,succ(ymax)]:=k;
    for j:=0 to ymax do begin
       gerade[0,j]:=k; gerade[succ(xmax),j]:=k;
    end;
    ungerade:=gerade;
    level:=0;
    levelname:='- I n t e r n -'
 end;

begin
nullevel(level,levelname);
end;

{ --- }

procedure initlevel(level:integer;levelname:string;
                    var nchip:integer; var fertig:boolean);
var i,j,k:integer;
    temp:string;
begin
str(level:3,temp);
itext1[6].itext:='Level '+temp+' :   '+levelname;
itext2[6].itext:=itext1[6].itext;
DrawGadget(addr(igad[6]));
rectfill(ox,oy,ox+pred((xmax+2)*dx),oy+pred((ymax+2)*dy),2);
for i:=0 to succ(xmax) do for j:=0 to succ(ymax) do
if gerade[i,j]>0 then begin
   DrawImage(i*dx+ox,j*dy+oy,addr(ima[gerade[i,j]]));
   if gerade[i,j]<60 then if ungerade[i,j]>0 then
   DrawImage(i*dx+ox,j*dy+oy,addr(ima[ungerade[i,j]]));
end;
fertig:=false;
nchip:=0;
end;
